Package org.apache.solr.cluster.api

## Interface Shard

    @Deprecated
    public interface Shard

Deprecated.
A shard of a collection

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`String` `collection()` Deprecated. collection this shard belongs to
`String` `leader()` Deprecated. Name of the replica that is acting as the leader at the moment
`String` `name()` Deprecated. name of the shard
`HashRange` `range()` Deprecated. hash range of this shard.
`SimpleMap<ShardReplica>` `replicas()` Deprecated. replicas of the shard

### Method Detail

#### name

    String name()

Deprecated.
name of the shard

#### collection

    String collection()

Deprecated.
collection this shard belongs to

#### range

    HashRange range()

Deprecated.
hash range of this shard. null if this is not using hash based router

#### replicas

    SimpleMap<ShardReplica> replicas()

Deprecated.
replicas of the shard

#### leader

    String leader()

Deprecated.
Name of the replica that is acting as the leader at the moment